<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/sc.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">sc.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d60/sc_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a>&quot;</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment">// Below are variables used locally by SC driver and does not want to parse by Doxygen unless HIDDEN_SYMBOLS is defined</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"></span><span class="keyword">static</span> uint32_t u32CardStateIgnore[<a class="code hl_define" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">SC_INTERFACE_NUM</a>] = {0, 0};</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">   40</a></span>uint32_t <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>{</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// put conditions into two variable to remove IAR compilation warning</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    uint32_t cond1 = ((sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">PINCSR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aa8f27ac9d6f8766bc4b82313e1592f22">SC_PINCSR_CD_PIN_ST_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a1c7f26139f28268fafed11581c402d8b">SC_PINCSR_CD_PIN_ST_Pos</a>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    uint32_t cond2 = ((sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">PINCSR</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6ac319ccb3521facbbe8574736c1c6ad">SC_PINCSR_CD_LEV_Msk</a>) &gt;&gt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a9751f66021a28303012b7554bb1521b7">SC_PINCSR_CD_LEV_Pos</a>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="keywordflow">if</span>(sc == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">SC0</a> &amp;&amp; u32CardStateIgnore[0] == 1)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8cecfc5c5c054d2875c03e77b7be15d">TRUE</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(sc == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8aeb36cc3ad2c5cc4eb7d4782160a14c">SC1</a> &amp;&amp; u32CardStateIgnore[1] == 1)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8cecfc5c5c054d2875c03e77b7be15d">TRUE</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(cond1 != cond2)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa93f0eb578d23995850d61f7d61c55c1">FALSE</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <a class="code hl_define" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8cecfc5c5c054d2875c03e77b7be15d">TRUE</a>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>}</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">   61</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>{</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> |= (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8a56fb8f2ed2d759c1a6d15bf22b7521">SC_ALTCTL_TX_RST_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a607ddaab784ed9f70d76893cd3db230c">SC_ALTCTL_RX_RST_Msk</a>);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>}</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">   71</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>{</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae664041daf8c26402757b67aaa5677e2">IER</a> = 0;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">PINCSR</a> = 0;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> = 0;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> = 0;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>}</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">   91</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CD, uint32_t u32PWR)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>{</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    uint32_t u32Reg = 0, u32Intf;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span> </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="keywordflow">if</span>(sc == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">SC0</a>)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        u32Intf = 0;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        u32Intf = 1;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    <span class="keywordflow">if</span>(u32CD != <a class="code hl_define" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">SC_PIN_STATE_IGNORE</a>)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        u32Reg = u32CD ? 0: <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6ac319ccb3521facbbe8574736c1c6ad">SC_PINCSR_CD_LEV_Msk</a>;</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        u32CardStateIgnore[u32Intf] = 0;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        u32CardStateIgnore[u32Intf] = 1;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    u32Reg |= u32PWR ? 0 : <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#afa9bf2b8626a7cf6d7f0ac68cec38054">SC_PINCSR_POW_INV_Msk</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">PINCSR</a> = u32Reg;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> = <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a3978657fb9b17744f11542cb5fe7bf8d">SC_CTL_SC_CEN_Msk</a>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>}</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">  119</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>{</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    uint32_t u32Intf;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="keywordflow">if</span>(sc == <a class="code hl_define" href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">SC0</a>)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        u32Intf = 0;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        u32Intf = 1;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>    <span class="comment">// Reset FIFO</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> |= (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8a56fb8f2ed2d759c1a6d15bf22b7521">SC_ALTCTL_TX_RST_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a607ddaab784ed9f70d76893cd3db230c">SC_ALTCTL_RX_RST_Msk</a>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    <span class="comment">// Set Rx trigger level to 1 character, longest card detect debounce period, disable error retry (EMV ATR does not use error retry)</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac7c89ab12831b194d0caeeb301e381b4">SC_CTL_RX_FTRI_LEV_Msk</a> |</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                 <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8fb3f1bd99a66ffb98c585cea15e5f3d">SC_CTL_CD_DEB_SEL_Msk</a> |</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>                 <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a> |</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                 <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a> |</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>                 <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a> |</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                 <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a>);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    <span class="comment">// Enable auto convention, and all three smartcard internal timers</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2cbea55f03bc8bf1947efe2409a093b5">SC_CTL_AUTO_CON_EN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac9c66b057771e6d68e8969bf0605129f">SC_CTL_TMR_SEL_Msk</a>;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    <span class="comment">// Disable Rx timeout</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga90acfb650851f2b72a3dca73041b5df4">RFTMR</a> = 0;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    <span class="comment">// 372 clocks per ETU by default</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45c091e2ae29b2e35d20f989adc427a2">ETUCR</a> = 371;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    <span class="comment">// Enable auto de-activation while card removal</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">PINCSR</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#acf8ead6c1a0d7b31eaee403e7ad293d9">SC_PINCSR_ADAC_CD_EN_Msk</a>;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    <span class="comment">/* Enable necessary interrupt for smartcard operation */</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    <span class="keywordflow">if</span>(u32CardStateIgnore[u32Intf]) <span class="comment">// Do not enable card detect interrupt if card present state ignore</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae664041daf8c26402757b67aaa5677e2">IER</a> = (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> |</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a> |</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a148f9454585ebd0a235fc1d127c1dc00">SC_IER_TMR0_IE_Msk</a> |</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#acf266ba4dd7f7217124351f774d657ae">SC_IER_TMR1_IE_Msk</a> |</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6fef13501eaa186474fd361c6e08bfce">SC_IER_TMR2_IE_Msk</a> |</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8e56f26e62974da882c989216e2f6369">SC_IER_BGT_IE_Msk</a> |</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2b100c0d7dec7d1a16744833ba43b8e8">SC_IER_ACON_ERR_IE_Msk</a>);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae664041daf8c26402757b67aaa5677e2">IER</a> = (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a> |</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a> |</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a148f9454585ebd0a235fc1d127c1dc00">SC_IER_TMR0_IE_Msk</a> |</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#acf266ba4dd7f7217124351f774d657ae">SC_IER_TMR1_IE_Msk</a> |</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6fef13501eaa186474fd361c6e08bfce">SC_IER_TMR2_IE_Msk</a> |</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a8e56f26e62974da882c989216e2f6369">SC_IER_BGT_IE_Msk</a> |</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#aaadf3c8b8aea2b3848a50d7fe121771d">SC_IER_CD_IE_Msk</a> |</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                   <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a2b100c0d7dec7d1a16744833ba43b8e8">SC_IER_ACON_ERR_IE_Msk</a>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>}</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">  174</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT)</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>{</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> = (sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp; ~SC_CTL_BGT_Msk) | ((u32BGT - 1) &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a6e2ab2611e9e37a1a6179e49dcd5d943">SC_CTL_BGT_Pos</a>);</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>}</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">  185</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>{</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    u32CGT -= sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a06ffeb93634ff42d4af4db99ffb7003e">SC_CTL_SLEN_Msk</a> ? 11: 12;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga34a0768b1f83a855a84af99cfe1939fd">EGTR</a> = u32CGT;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>}</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">  197</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>{</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a9eae143618967de4d969d417599ee18f">SC_ALTCTL_TMR0_SEN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a33d26aee6ea1665283645123613cfe6e">SC_ALTCTL_TMR1_SEN_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac410bbf179a90fcc8b30bdbc4ead5bfa">SC_ALTCTL_TMR2_SEN_Msk</a>);</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>}</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">  223</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>{</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>    uint32_t reg = u32Mode | (<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a7bf30bcc40125f887b9d1494854f11be">SC_TMR0_CNT_Msk</a> &amp; (u32ETUCount - 1));</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span> </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    <span class="keywordflow">if</span>(u32TimerNum == 0)</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    {</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga01050a1b1d9d4f5d872fef305a44d5dc">TMR0</a> = reg;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a9eae143618967de4d969d417599ee18f">SC_ALTCTL_TMR0_SEN_Msk</a>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(u32TimerNum == 1)</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga8dc7a095b9af5e3c4cc20484b19d5a76">TMR1</a> = reg;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a33d26aee6ea1665283645123613cfe6e">SC_ALTCTL_TMR1_SEN_Msk</a>;</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    <span class="keywordflow">else</span>       <span class="comment">// timer 2</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac5d2aa7e313712f078bc99feeb8249fc">TMR2</a> = reg;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> |= <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac410bbf179a90fcc8b30bdbc4ead5bfa">SC_ALTCTL_TMR2_SEN_Msk</a>;</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>}</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">  251</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>{</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    <span class="keywordflow">if</span>(u32TimerNum == 0)</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> &amp;= ~SC_ALTCTL_TMR0_SEN_Msk;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(u32TimerNum == 1)</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> &amp;= ~SC_ALTCTL_TMR1_SEN_Msk;</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    <span class="keywordflow">else</span>    <span class="comment">// timer 2</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">ALTCTL</a> &amp;= ~SC_ALTCTL_TMR2_SEN_Msk;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>}</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span> </div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> <span class="comment">/* end of group NANO1X2_SC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> <span class="comment">/* end of group NANO1X2_SC_Driver */</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span> </div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html">Nano1X2Series.h</a></div><div class="ttdoc">Nano102/112 peripheral access layer header file. This file contains all the peripheral register's def...</div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a06ffeb93634ff42d4af4db99ffb7003e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a06ffeb93634ff42d4af4db99ffb7003e">SC_CTL_SLEN_Msk</a></div><div class="ttdeci">#define SC_CTL_SLEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08190">Nano1X2Series.h:8190</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a148f9454585ebd0a235fc1d127c1dc00"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a148f9454585ebd0a235fc1d127c1dc00">SC_IER_TMR0_IE_Msk</a></div><div class="ttdeci">#define SC_IER_TMR0_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08268">Nano1X2Series.h:8268</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a1c7f26139f28268fafed11581c402d8b"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a1c7f26139f28268fafed11581c402d8b">SC_PINCSR_CD_PIN_ST_Pos</a></div><div class="ttdeci">#define SC_PINCSR_CD_PIN_ST_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08387">Nano1X2Series.h:8387</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a246ada829b66f62ffec0878204be547c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08202">Nano1X2Series.h:8202</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a2b100c0d7dec7d1a16744833ba43b8e8"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a2b100c0d7dec7d1a16744833ba43b8e8">SC_IER_ACON_ERR_IE_Msk</a></div><div class="ttdeci">#define SC_IER_ACON_ERR_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08289">Nano1X2Series.h:8289</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a2cbea55f03bc8bf1947efe2409a093b5"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a2cbea55f03bc8bf1947efe2409a093b5">SC_CTL_AUTO_CON_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_AUTO_CON_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08175">Nano1X2Series.h:8175</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a33d26aee6ea1665283645123613cfe6e"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a33d26aee6ea1665283645123613cfe6e">SC_ALTCTL_TMR1_SEN_Msk</a></div><div class="ttdeci">#define SC_ALTCTL_TMR1_SEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08226">Nano1X2Series.h:8226</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a34fa8578721b001e96183408ece207b4"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08196">Nano1X2Series.h:8196</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a3978657fb9b17744f11542cb5fe7bf8d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a3978657fb9b17744f11542cb5fe7bf8d">SC_CTL_SC_CEN_Msk</a></div><div class="ttdeci">#define SC_CTL_SC_CEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08166">Nano1X2Series.h:8166</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a523d31fdd55b04e654e79bd0de05e353"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a523d31fdd55b04e654e79bd0de05e353">SC_IER_RDA_IE_Msk</a></div><div class="ttdeci">#define SC_IER_RDA_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08259">Nano1X2Series.h:8259</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a5c7329aa9166b91cb9c541142abe4649"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08199">Nano1X2Series.h:8199</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a607ddaab784ed9f70d76893cd3db230c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a607ddaab784ed9f70d76893cd3db230c">SC_ALTCTL_RX_RST_Msk</a></div><div class="ttdeci">#define SC_ALTCTL_RX_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08211">Nano1X2Series.h:8211</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a6ac319ccb3521facbbe8574736c1c6ad"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a6ac319ccb3521facbbe8574736c1c6ad">SC_PINCSR_CD_LEV_Msk</a></div><div class="ttdeci">#define SC_PINCSR_CD_LEV_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08403">Nano1X2Series.h:8403</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a6e2ab2611e9e37a1a6179e49dcd5d943"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a6e2ab2611e9e37a1a6179e49dcd5d943">SC_CTL_BGT_Pos</a></div><div class="ttdeci">#define SC_CTL_BGT_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08183">Nano1X2Series.h:8183</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a6fef13501eaa186474fd361c6e08bfce"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a6fef13501eaa186474fd361c6e08bfce">SC_IER_TMR2_IE_Msk</a></div><div class="ttdeci">#define SC_IER_TMR2_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08274">Nano1X2Series.h:8274</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a7bf30bcc40125f887b9d1494854f11be"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a7bf30bcc40125f887b9d1494854f11be">SC_TMR0_CNT_Msk</a></div><div class="ttdeci">#define SC_TMR0_CNT_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08412">Nano1X2Series.h:8412</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a8a56fb8f2ed2d759c1a6d15bf22b7521"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a8a56fb8f2ed2d759c1a6d15bf22b7521">SC_ALTCTL_TX_RST_Msk</a></div><div class="ttdeci">#define SC_ALTCTL_TX_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08208">Nano1X2Series.h:8208</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a8e56f26e62974da882c989216e2f6369"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a8e56f26e62974da882c989216e2f6369">SC_IER_BGT_IE_Msk</a></div><div class="ttdeci">#define SC_IER_BGT_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08277">Nano1X2Series.h:8277</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a8fb3f1bd99a66ffb98c585cea15e5f3d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a8fb3f1bd99a66ffb98c585cea15e5f3d">SC_CTL_CD_DEB_SEL_Msk</a></div><div class="ttdeci">#define SC_CTL_CD_DEB_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08205">Nano1X2Series.h:8205</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a9751f66021a28303012b7554bb1521b7"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a9751f66021a28303012b7554bb1521b7">SC_PINCSR_CD_LEV_Pos</a></div><div class="ttdeci">#define SC_PINCSR_CD_LEV_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08402">Nano1X2Series.h:8402</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a98e897bd302beca75c75c884e6379709"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a98e897bd302beca75c75c884e6379709">SC_IER_TERR_IE_Msk</a></div><div class="ttdeci">#define SC_IER_TERR_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08265">Nano1X2Series.h:8265</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a9eae143618967de4d969d417599ee18f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a9eae143618967de4d969d417599ee18f">SC_ALTCTL_TMR0_SEN_Msk</a></div><div class="ttdeci">#define SC_ALTCTL_TMR0_SEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08223">Nano1X2Series.h:8223</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aa8f27ac9d6f8766bc4b82313e1592f22"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aa8f27ac9d6f8766bc4b82313e1592f22">SC_PINCSR_CD_PIN_ST_Msk</a></div><div class="ttdeci">#define SC_PINCSR_CD_PIN_ST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08388">Nano1X2Series.h:8388</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_aaadf3c8b8aea2b3848a50d7fe121771d"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#aaadf3c8b8aea2b3848a50d7fe121771d">SC_IER_CD_IE_Msk</a></div><div class="ttdeci">#define SC_IER_CD_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08280">Nano1X2Series.h:8280</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac410bbf179a90fcc8b30bdbc4ead5bfa"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac410bbf179a90fcc8b30bdbc4ead5bfa">SC_ALTCTL_TMR2_SEN_Msk</a></div><div class="ttdeci">#define SC_ALTCTL_TMR2_SEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08229">Nano1X2Series.h:8229</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac7c89ab12831b194d0caeeb301e381b4"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac7c89ab12831b194d0caeeb301e381b4">SC_CTL_RX_FTRI_LEV_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_FTRI_LEV_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08181">Nano1X2Series.h:8181</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac9c66b057771e6d68e8969bf0605129f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac9c66b057771e6d68e8969bf0605129f">SC_CTL_TMR_SEL_Msk</a></div><div class="ttdeci">#define SC_CTL_TMR_SEL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08187">Nano1X2Series.h:8187</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_acf266ba4dd7f7217124351f774d657ae"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#acf266ba4dd7f7217124351f774d657ae">SC_IER_TMR1_IE_Msk</a></div><div class="ttdeci">#define SC_IER_TMR1_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08271">Nano1X2Series.h:8271</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_acf8ead6c1a0d7b31eaee403e7ad293d9"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#acf8ead6c1a0d7b31eaee403e7ad293d9">SC_PINCSR_ADAC_CD_EN_Msk</a></div><div class="ttdeci">#define SC_PINCSR_ADAC_CD_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08394">Nano1X2Series.h:8394</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_af27e80feb05de5b2cc37809dd5a57a48"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08193">Nano1X2Series.h:8193</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_afa9bf2b8626a7cf6d7f0ac68cec38054"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#afa9bf2b8626a7cf6d7f0ac68cec38054">SC_PINCSR_POW_INV_Msk</a></div><div class="ttdeci">#define SC_PINCSR_POW_INV_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08406">Nano1X2Series.h:8406</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_ga8aeb36cc3ad2c5cc4eb7d4782160a14c"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#ga8aeb36cc3ad2c5cc4eb7d4782160a14c">SC1</a></div><div class="ttdeci">#define SC1</div><div class="ttdoc">Pointer to SC1 register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10647">Nano1X2Series.h:10647</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gadab49b9fc27febd87bbc529b0b9a5d67"><div class="ttname"><a href="../../da/d2d/group___n_a_n_o1_x2___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gadab49b9fc27febd87bbc529b0b9a5d67">SC0</a></div><div class="ttdeci">#define SC0</div><div class="ttdoc">Pointer to SC0 register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10646">Nano1X2Series.h:10646</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gab1a473b529ef7082465c9a36b4be3472"><div class="ttname"><a href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">SC_INTERFACE_NUM</a></div><div class="ttdeci">#define SC_INTERFACE_NUM</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d50/sc_8h_source.html#l00032">sc.h:32</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaeb55b76af45870f987a07a7eb77a48be"><div class="ttname"><a href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">SC_PIN_STATE_IGNORE</a></div><div class="ttdeci">#define SC_PIN_STATE_IGNORE</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d50/sc_8h_source.html#l00035">sc.h:35</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2744d5a40d4fd646192c641d20aecb78"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a></div><div class="ttdeci">void SC_SetBlockGuardTime(SC_T *sc, uint32_t u32BGT)</div><div class="ttdoc">This function block guard time (BGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00174">sc.c:174</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga309160531bd03b3df167a13e5f1e63b1"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a></div><div class="ttdeci">void SC_SetCharGuardTime(SC_T *sc, uint32_t u32CGT)</div><div class="ttdoc">This function character guard time (CGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00185">sc.c:185</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31243375c4a9a634e6b5fb3808aabb21"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a></div><div class="ttdeci">void SC_ResetReader(SC_T *sc)</div><div class="ttdoc">This function reset specified smartcard module to its default state for activate smartcard.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00119">sc.c:119</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3fb708b1684dff67a8ce2c3951e55731"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a></div><div class="ttdeci">void SC_Open(SC_T *sc, uint32_t u32CardDet, uint32_t u32PWR)</div><div class="ttdoc">This function initialized smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00091">sc.c:91</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga450a6bee9c5c243cc116fdeae859dbf3"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a></div><div class="ttdeci">void SC_StopAllTimer(SC_T *sc)</div><div class="ttdoc">This function stop all smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00197">sc.c:197</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga686a066952920555d863a2adbb1c985a"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a></div><div class="ttdeci">uint32_t SC_IsCardInserted(SC_T *sc)</div><div class="ttdoc">This function indicates specified smartcard slot status.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00040">sc.c:40</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6a9ee8ad942a87c0c22d61ea333e7e0c"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a></div><div class="ttdeci">void SC_StopTimer(SC_T *sc, uint32_t u32TimerNum)</div><div class="ttdoc">This function stop a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00251">sc.c:251</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6f12c3d08c7ab548f69e90e94340aea8"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a></div><div class="ttdeci">void SC_StartTimer(SC_T *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</div><div class="ttdoc">This function configure and start a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00223">sc.c:223</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabbf16e2b53c6775d903d5e398d4c5e29"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a></div><div class="ttdeci">void SC_ClearFIFO(SC_T *sc)</div><div class="ttdoc">This function reset both transmit and receive FIFO of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00061">sc.c:61</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7fabbdd3ae9853db07af8a98508f8cf"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a></div><div class="ttdeci">void SC_Close(SC_T *sc)</div><div class="ttdoc">This function disable specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00071">sc.c:71</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga01050a1b1d9d4f5d872fef305a44d5dc"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga01050a1b1d9d4f5d872fef305a44d5dc">SC_T::TMR0</a></div><div class="ttdeci">__IO uint32_t TMR0</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08069">Nano1X2Series.h:8069</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga34a0768b1f83a855a84af99cfe1939fd"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga34a0768b1f83a855a84af99cfe1939fd">SC_T::EGTR</a></div><div class="ttdeci">__IO uint32_t EGTR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07761">Nano1X2Series.h:7761</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga45c091e2ae29b2e35d20f989adc427a2"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga45c091e2ae29b2e35d20f989adc427a2">SC_T::ETUCR</a></div><div class="ttdeci">__IO uint32_t ETUCR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07796">Nano1X2Series.h:7796</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga5ec54b613f4251f58197d4129fd42564"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5ec54b613f4251f58197d4129fd42564">SC_T::ALTCTL</a></div><div class="ttdeci">__IO uint32_t ALTCTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07748">Nano1X2Series.h:7748</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga657b6619f178ac1a923485d599c1b0f7"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">SC_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07658">Nano1X2Series.h:7658</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga8dc7a095b9af5e3c4cc20484b19d5a76"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga8dc7a095b9af5e3c4cc20484b19d5a76">SC_T::TMR1</a></div><div class="ttdeci">__IO uint32_t TMR1</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08083">Nano1X2Series.h:8083</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga90acfb650851f2b72a3dca73041b5df4"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga90acfb650851f2b72a3dca73041b5df4">SC_T::RFTMR</a></div><div class="ttdeci">__IO uint32_t RFTMR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07776">Nano1X2Series.h:7776</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaa8cecfc5c5c054d2875c03e77b7be15d"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa8cecfc5c5c054d2875c03e77b7be15d">TRUE</a></div><div class="ttdeci">#define TRUE</div><div class="ttdoc">Boolean true, define to use in API parameters or return value.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10815">Nano1X2Series.h:10815</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gaa93f0eb578d23995850d61f7d61c55c1"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa93f0eb578d23995850d61f7d61c55c1">FALSE</a></div><div class="ttdeci">#define FALSE</div><div class="ttdoc">Boolean false, define to use in API parameters or return value.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l10816">Nano1X2Series.h:10816</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gac5d2aa7e313712f078bc99feeb8249fc"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gac5d2aa7e313712f078bc99feeb8249fc">SC_T::TMR2</a></div><div class="ttdeci">__IO uint32_t TMR2</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08097">Nano1X2Series.h:8097</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gae664041daf8c26402757b67aaa5677e2"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gae664041daf8c26402757b67aaa5677e2">SC_T::IER</a></div><div class="ttdeci">__IO uint32_t IER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07852">Nano1X2Series.h:7852</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_gafa725963be021c377b5ce3450109ee26"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gafa725963be021c377b5ce3450109ee26">SC_T::PINCSR</a></div><div class="ttdeci">__IO uint32_t PINCSR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08055">Nano1X2Series.h:8055</a></div></div>
<div class="ttc" id="astruct_s_c___t_html"><div class="ttname"><a href="../../d6/d6b/struct_s_c___t.html">SC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07543">Nano1X2Series.h:7544</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
